Skip to main content
GET
/
api
/
v2
/
flag-statuses
/
{projectKey}
/
{environmentKey}
/
{featureFlagKey}
Get feature flag status
curl --request GET \
  --url https://app.launchdarkly.com/api/v2/flag-statuses/{projectKey}/{environmentKey}/{featureFlagKey} \
  --header 'Authorization: <api-key>'
{
  "name": "inactive",
  "_links": {
    "parent": {
      "href": "/api/v2/flags/my-project/my-flag",
      "type": "application/json"
    },
    "self": {
      "href": "/api/v2/flag-statuses/my-project/my-flag",
      "type": "application/json"
    }
  },
  "lastRequested": "2020-02-05T18:17:01.514Z",
  "default": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://launchdarkly-preview.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Path Parameters

projectKey
string<string>
required

The project key

environmentKey
string<string>
required

The environment key

featureFlagKey
string<string>
required

The feature flag key

Response

Flag status response

name
enum<string>
required

Status of the flag

Available options:
new,
inactive,
active,
launched
Example:

"inactive"

Example:
{
"parent": {
"href": "/api/v2/flags/my-project/my-flag",
"type": "application/json"
},
"self": {
"href": "/api/v2/flag-statuses/my-project/my-flag",
"type": "application/json"
}
}
lastRequested
string<date-time>

Timestamp of last time flag was requested

Example:

"2020-02-05T18:17:01.514Z"

default
any

Default value seen from code